import { server } from "@/utils/server";

export const getBindPhoneApi = () => {
    return server.post<any>({
        url: "/v1/api/user/bind_phone",
    });
};

export const getFindPwdApi = () => {
    return server.post<any>({
        url: "/v1/api/user/find_pwd"
    });
};

export const getGoogleLoginApi = () => {
    return server.post<any>({
        url: "/v1/api/user/google_login"
    });
};

export const getLoginApi = (data: any) => {
    return server.post<any>({
        url: "/v1/api/user/login",
        data
    });
};

export const getLogoutApi = () => {
    return server.post<any>({
        url: "/v1/api/user/logout"
    });
};

export const getRegisterApi = (data: any) => {
    return server.post<any>({
        url: "/v1/api/user/register",
        data
    });
};

export const getSendCodeApi = () => {
    return server.get<any>({
        url: "/v1/api/user/send_code"
    });
};

export const getUserInfoApi = () => {
    return server.post<any>({
        url: "/v1/api/user/user_info"
    });
};