"use client";
import { FC, PropsWithChildren } from "react";
import HeaderBack from "@/components/HeaderBack";
import GoogleCom from "./component/GoogleCom";
import FromCom from "./component/FromCom";
import DomainFooter from "@/components/DomainFooter";
import './page.scss'
import {getLoginApi} from "@/api/user";

interface Props {}

const Login: FC<PropsWithChildren<Props>> = () => {

    const loginRequest = async (params: any) => {
        let data = await getLoginApi(params)
    }

    return (
        <div className="login-box">
            <HeaderBack />
            <GoogleCom />
            <FromCom callbackFun={loginRequest}/>
            <DomainFooter />
        </div>
    );
};

export default Login;
