"use client";
import { FC, PropsWithChildren } from "react";
import HeaderBack from "@/components/HeaderBack";
import GoogleCom from "../login/component/GoogleCom";
import FromCom from "../login/component/FromCom";
import DomainFooter from "@/components/DomainFooter";
import '../login/page.scss'
import {getRegisterApi} from "@/api/user";

interface Props {}

const Register: FC<PropsWithChildren<Props>> = () => {

    const registerRequest = async (params: any) => {
        let data = await getRegisterApi(params)
    }
    return (
        <div className="register-box">
            <HeaderBack />
            <GoogleCom title="Bem-vindo à 9F.COM" text="Registre-se com Google+"/>
            <FromCom type="register" callbackFun={registerRequest} />
            <DomainFooter />
        </div>
    );
};

export default Register;
